package edu.certification.abhijitsarkar.ocewsd.jaxrs.basic;

import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;

import org.apache.log4j.Logger;

import edu.certification.abhijitsarkar.ocewsd.utility.logging.AppLogger;

public class BasicPathParamSubresource {
	private static final Logger logger = AppLogger.getInstance(BasicPathParamSubresource.class);

	@POST
	@Path("{make}")
	public void handleBasicPathParam(@PathParam(value = "make") String make) {
		logger.debug("Make: " + make);
	}
}
