package edu.certification.abhijitsarkar.ocewsd.jaxrs.basic;

import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;

import org.apache.log4j.Logger;

import edu.certification.abhijitsarkar.ocewsd.utility.logging.AppLogger;

public class MultiplePathParamsSubresource {
	private static final Logger logger = AppLogger.getInstance(MultiplePathParamsSubresource.class);

	@POST
	@Path("{make}-{model}-{year}")
	public void handleMultiplePathParams(@PathParam("make") String make,
			@PathParam("model") String model,
			@PathParam(value = "year") int year) {
		logger.debug("Make: " + make + ", Model: " + model + ", Year: " + year);
	}
}
